<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: FMC Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">FMC Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../dc/d6b/group___n_a_n_o1_x2___f_m_c___driver.html">FMC Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for FMC Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#adc_2d47_2group______n__a__n__o1__x2______f__m__c______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d6c/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">FMC Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga8235cda134e379be467ee8fbc6fe378a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8235cda134e379be467ee8fbc6fe378a">FMC_APROM_BASE</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga8235cda134e379be467ee8fbc6fe378a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5c09ead5a3124158e97ea4cc1e149f19"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5c09ead5a3124158e97ea4cc1e149f19">FMC_APROM_END</a>&#160;&#160;&#160;0x00008000UL</td></tr>
<tr class="separator:ga5c09ead5a3124158e97ea4cc1e149f19"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga50e93efe1f81bc0ebf35789bfec41613"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga50e93efe1f81bc0ebf35789bfec41613">FMC_LDROM_BASE</a>&#160;&#160;&#160;0x00100000UL</td></tr>
<tr class="separator:ga50e93efe1f81bc0ebf35789bfec41613"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b3d9bbe4809779d21ff9635f376bcee"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0b3d9bbe4809779d21ff9635f376bcee">FMC_LDROM_END</a>&#160;&#160;&#160;0x00101000UL</td></tr>
<tr class="separator:ga0b3d9bbe4809779d21ff9635f376bcee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga661c36b78e061bb2391c3ea1526c86d3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga661c36b78e061bb2391c3ea1526c86d3">FMC_SPROM_BASE</a>&#160;&#160;&#160;0x00200000UL</td></tr>
<tr class="separator:ga661c36b78e061bb2391c3ea1526c86d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa7b898ae9cc85feb18795a8110b8e6a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa7b898ae9cc85feb18795a8110b8e6a">FMC_SPROM_END</a>&#160;&#160;&#160;0x00200200UL</td></tr>
<tr class="separator:gaaa7b898ae9cc85feb18795a8110b8e6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga52a7acc3043b680daac35a5ec0189c3b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga52a7acc3043b680daac35a5ec0189c3b">FMC_CONFIG_BASE</a>&#160;&#160;&#160;0x00300000UL</td></tr>
<tr class="separator:ga52a7acc3043b680daac35a5ec0189c3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4881161aeabc72682b57e928fbcf9ed7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4881161aeabc72682b57e928fbcf9ed7">FMC_FLASH_PAGE_SIZE</a>&#160;&#160;&#160;0x200</td></tr>
<tr class="separator:ga4881161aeabc72682b57e928fbcf9ed7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a7c7f6b2777da8466a98905e171d87b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1a7c7f6b2777da8466a98905e171d87b">FMC_LDROM_SIZE</a>&#160;&#160;&#160;0x1000</td></tr>
<tr class="separator:ga1a7c7f6b2777da8466a98905e171d87b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86383a94592860a6e4d2fb391ed70f48"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga86383a94592860a6e4d2fb391ed70f48">FMC_TIMEOUT_READ</a></td></tr>
<tr class="separator:ga86383a94592860a6e4d2fb391ed70f48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8b01409d41454d5b67afe38a0453d43"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac8b01409d41454d5b67afe38a0453d43">FMC_TIMEOUT_WRITE</a></td></tr>
<tr class="separator:gac8b01409d41454d5b67afe38a0453d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga169a984ef7e9360c545fd9d11d398d32"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga169a984ef7e9360c545fd9d11d398d32">FMC_TIMEOUT_ERASE</a></td></tr>
<tr class="separator:ga169a984ef7e9360c545fd9d11d398d32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57006e2f057a106c1e2df8a8291b5e8b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga57006e2f057a106c1e2df8a8291b5e8b">FMC_TIMEOUT_CHKSUM</a></td></tr>
<tr class="separator:ga57006e2f057a106c1e2df8a8291b5e8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ef5fc95ade50272ef27548db3cc833d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ef5fc95ade50272ef27548db3cc833d">FMC_ISPCMD_READ</a>&#160;&#160;&#160;0x00</td></tr>
<tr class="separator:ga9ef5fc95ade50272ef27548db3cc833d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1aaae73ab5d5e5a4cee66c98e14623d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1aaae73ab5d5e5a4cee66c98e14623d5">FMC_ISPCMD_PROGRAM</a>&#160;&#160;&#160;0x21</td></tr>
<tr class="separator:ga1aaae73ab5d5e5a4cee66c98e14623d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc49387d8d57bcd15b65f0dc3002ccdd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafc49387d8d57bcd15b65f0dc3002ccdd">FMC_ISPCMD_PAGE_ERASE</a>&#160;&#160;&#160;0x22</td></tr>
<tr class="separator:gafc49387d8d57bcd15b65f0dc3002ccdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5b1b56e5bfe7a7df142ec9c4c0466cee"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga5b1b56e5bfe7a7df142ec9c4c0466cee">FMC_ISPCMD_READ_CID</a>&#160;&#160;&#160;0x0B</td></tr>
<tr class="separator:ga5b1b56e5bfe7a7df142ec9c4c0466cee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga812d22e2cb56c1a796b90a08fca60805"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga812d22e2cb56c1a796b90a08fca60805">FMC_ISPCMD_READ_PID</a>&#160;&#160;&#160;0x0C</td></tr>
<tr class="separator:ga812d22e2cb56c1a796b90a08fca60805"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf2ffaaafb784dda3627705765b00f26b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2ffaaafb784dda3627705765b00f26b">FMC_ISPCMD_READ_UID</a>&#160;&#160;&#160;0x04</td></tr>
<tr class="separator:gaf2ffaaafb784dda3627705765b00f26b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4153087dcc74a23ac04f562d0d735d1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab4153087dcc74a23ac04f562d0d735d1">FMC_ISPCMD_VECMAP</a>&#160;&#160;&#160;0x2E</td></tr>
<tr class="separator:gab4153087dcc74a23ac04f562d0d735d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0feefed824064f51d17b0fa287b86f05"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0feefed824064f51d17b0fa287b86f05">IS_BOOT_FROM_APROM</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga0feefed824064f51d17b0fa287b86f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6bd927a6cf6d3bf096ecc3127b843f59"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/d47/group___n_a_n_o1_x2___f_m_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6bd927a6cf6d3bf096ecc3127b843f59">IS_BOOT_FROM_LDROM</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga6bd927a6cf6d3bf096ecc3127b843f59"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga8235cda134e379be467ee8fbc6fe378a" name="ga8235cda134e379be467ee8fbc6fe378a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga8235cda134e379be467ee8fbc6fe378a">&#9670;&nbsp;</a></span>FMC_APROM_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_APROM_BASE&#160;&#160;&#160;0x00000000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >APROM Base Address <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00038">38</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga5c09ead5a3124158e97ea4cc1e149f19" name="ga5c09ead5a3124158e97ea4cc1e149f19"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5c09ead5a3124158e97ea4cc1e149f19">&#9670;&nbsp;</a></span>FMC_APROM_END</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_APROM_END&#160;&#160;&#160;0x00008000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >APROM End Address <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00039">39</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga52a7acc3043b680daac35a5ec0189c3b" name="ga52a7acc3043b680daac35a5ec0189c3b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga52a7acc3043b680daac35a5ec0189c3b">&#9670;&nbsp;</a></span>FMC_CONFIG_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_CONFIG_BASE&#160;&#160;&#160;0x00300000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >User Configuration Address <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00044">44</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga4881161aeabc72682b57e928fbcf9ed7" name="ga4881161aeabc72682b57e928fbcf9ed7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4881161aeabc72682b57e928fbcf9ed7">&#9670;&nbsp;</a></span>FMC_FLASH_PAGE_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_FLASH_PAGE_SIZE&#160;&#160;&#160;0x200</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Flash Page Size (512 bytes) </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00046">46</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gafc49387d8d57bcd15b65f0dc3002ccdd" name="gafc49387d8d57bcd15b65f0dc3002ccdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gafc49387d8d57bcd15b65f0dc3002ccdd">&#9670;&nbsp;</a></span>FMC_ISPCMD_PAGE_ERASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ISPCMD_PAGE_ERASE&#160;&#160;&#160;0x22</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ISP Command: Page Erase Flash <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00059">59</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga1aaae73ab5d5e5a4cee66c98e14623d5" name="ga1aaae73ab5d5e5a4cee66c98e14623d5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1aaae73ab5d5e5a4cee66c98e14623d5">&#9670;&nbsp;</a></span>FMC_ISPCMD_PROGRAM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ISPCMD_PROGRAM&#160;&#160;&#160;0x21</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ISP Command: Write flash word <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00058">58</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga9ef5fc95ade50272ef27548db3cc833d" name="ga9ef5fc95ade50272ef27548db3cc833d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9ef5fc95ade50272ef27548db3cc833d">&#9670;&nbsp;</a></span>FMC_ISPCMD_READ</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ISPCMD_READ&#160;&#160;&#160;0x00</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ISP Command: Read flash word <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00057">57</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga5b1b56e5bfe7a7df142ec9c4c0466cee" name="ga5b1b56e5bfe7a7df142ec9c4c0466cee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga5b1b56e5bfe7a7df142ec9c4c0466cee">&#9670;&nbsp;</a></span>FMC_ISPCMD_READ_CID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ISPCMD_READ_CID&#160;&#160;&#160;0x0B</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ISP Command: Read Company ID <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00060">60</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga812d22e2cb56c1a796b90a08fca60805" name="ga812d22e2cb56c1a796b90a08fca60805"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga812d22e2cb56c1a796b90a08fca60805">&#9670;&nbsp;</a></span>FMC_ISPCMD_READ_PID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ISPCMD_READ_PID&#160;&#160;&#160;0x0C</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ISP Command: Read Product ID <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00061">61</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gaf2ffaaafb784dda3627705765b00f26b" name="gaf2ffaaafb784dda3627705765b00f26b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf2ffaaafb784dda3627705765b00f26b">&#9670;&nbsp;</a></span>FMC_ISPCMD_READ_UID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ISPCMD_READ_UID&#160;&#160;&#160;0x04</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ISP Command: Read Unique ID <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00062">62</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gab4153087dcc74a23ac04f562d0d735d1" name="gab4153087dcc74a23ac04f562d0d735d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gab4153087dcc74a23ac04f562d0d735d1">&#9670;&nbsp;</a></span>FMC_ISPCMD_VECMAP</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_ISPCMD_VECMAP&#160;&#160;&#160;0x2E</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >ISP Command: Vector Page Remap <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00063">63</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga50e93efe1f81bc0ebf35789bfec41613" name="ga50e93efe1f81bc0ebf35789bfec41613"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga50e93efe1f81bc0ebf35789bfec41613">&#9670;&nbsp;</a></span>FMC_LDROM_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_LDROM_BASE&#160;&#160;&#160;0x00100000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >LDROM Base Address <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00040">40</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga0b3d9bbe4809779d21ff9635f376bcee" name="ga0b3d9bbe4809779d21ff9635f376bcee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0b3d9bbe4809779d21ff9635f376bcee">&#9670;&nbsp;</a></span>FMC_LDROM_END</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_LDROM_END&#160;&#160;&#160;0x00101000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >LDROM End Address <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00041">41</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga1a7c7f6b2777da8466a98905e171d87b" name="ga1a7c7f6b2777da8466a98905e171d87b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga1a7c7f6b2777da8466a98905e171d87b">&#9670;&nbsp;</a></span>FMC_LDROM_SIZE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_LDROM_SIZE&#160;&#160;&#160;0x1000</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >LDROM Size (4 Kbytes) <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00047">47</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga661c36b78e061bb2391c3ea1526c86d3" name="ga661c36b78e061bb2391c3ea1526c86d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga661c36b78e061bb2391c3ea1526c86d3">&#9670;&nbsp;</a></span>FMC_SPROM_BASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_SPROM_BASE&#160;&#160;&#160;0x00200000UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >SPROM Base Address <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00042">42</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gaaa7b898ae9cc85feb18795a8110b8e6a" name="gaaa7b898ae9cc85feb18795a8110b8e6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaaa7b898ae9cc85feb18795a8110b8e6a">&#9670;&nbsp;</a></span>FMC_SPROM_END</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_SPROM_END&#160;&#160;&#160;0x00200200UL</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >SPROM End Address <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00043">43</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga57006e2f057a106c1e2df8a8291b5e8b" name="ga57006e2f057a106c1e2df8a8291b5e8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga57006e2f057a106c1e2df8a8291b5e8b">&#9670;&nbsp;</a></span>FMC_TIMEOUT_CHKSUM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_TIMEOUT_CHKSUM</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Get checksum command time-out 2 s </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00052">52</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga169a984ef7e9360c545fd9d11d398d32" name="ga169a984ef7e9360c545fd9d11d398d32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga169a984ef7e9360c545fd9d11d398d32">&#9670;&nbsp;</a></span>FMC_TIMEOUT_ERASE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_TIMEOUT_ERASE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Erase command time-out 200 ms </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00051">51</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga86383a94592860a6e4d2fb391ed70f48" name="ga86383a94592860a6e4d2fb391ed70f48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga86383a94592860a6e4d2fb391ed70f48">&#9670;&nbsp;</a></span>FMC_TIMEOUT_READ</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_TIMEOUT_READ</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Read command time-out 100 ms </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00049">49</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="gac8b01409d41454d5b67afe38a0453d43" name="gac8b01409d41454d5b67afe38a0453d43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac8b01409d41454d5b67afe38a0453d43">&#9670;&nbsp;</a></span>FMC_TIMEOUT_WRITE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define FMC_TIMEOUT_WRITE</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Write command time-out 100 ms </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00050">50</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga0feefed824064f51d17b0fa287b86f05" name="ga0feefed824064f51d17b0fa287b86f05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0feefed824064f51d17b0fa287b86f05">&#9670;&nbsp;</a></span>IS_BOOT_FROM_APROM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define IS_BOOT_FROM_APROM&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Is booting from APROM <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00065">65</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
<a id="ga6bd927a6cf6d3bf096ecc3127b843f59" name="ga6bd927a6cf6d3bf096ecc3127b843f59"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga6bd927a6cf6d3bf096ecc3127b843f59">&#9670;&nbsp;</a></span>IS_BOOT_FROM_LDROM</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define IS_BOOT_FROM_LDROM&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Is booting from LDROM <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d00/fmc_8h_source.html#l00066">66</a> of file <a class="el" href="../../dc/d00/fmc_8h_source.html">fmc.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:32 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
